Mac OS X Support Update

(Locked)

Customer Service
As with most technology, operating systems become obsolete over time and in order to provide our players the best experience possible, we have to make decisions about just how much of it we can continue to support. To that end, we have evaluated the support needs for Mac users and have devised a system by which we can continue to support the current operating systems while gently phasing out older versions.

Going forward, our plan is to support the current version of Mac OS X and the previous major version of the Mac OS while moving into a period of “soft support” for the release prior to that. For example: When Apple releases OS X version 10.8, 10.7 will continue to be supported while 10.6 will enter a period of “soft support” and eventually become unsupported after a period of time. It's also important to note that we only support the latest free incremental update to a major version of an operating system. For example: If 10.7.3 is the current version of Mac OS X 10.7, then we do not support 10.7.2, 10.7.1 or 10.7.0.

We are committed to updating our Mac community well in advance of any changes to supported operating systems. We will make an announcement when we anticipate an operating system will soon enter the soft support phase and again when it's no longer supported. Each soft support phase may vary based on the popularity of a version.

We want to continue to provide the best Mac gaming experience possible and hope that by implementing this new system, we will be able to do just that. We hope that by providing notification of these changes in support ahead of time that it will help ease the transition from version to version of the Mac operating system.

Visit the support site for more Mac related information and help.
Customer Service
Mac OS X Support 10.5 Unsupported

As of the Mists of Pandaria pre-patch, we will no longer support Mac OS X 10.5. Players will no longer be able to launch the game using Mac OS X 10.5 or previous versions of the Mac OS. A date for this has not been announced, but we recommend Mac users upgrade their systems to Mac OS X 10.7.4 (or newer) as soon as possible. Technical support will still be available for Mac OS X 10.8 and Mac OS X 10.7 per the policy noted here. Visit the support site for more Mac-related information and help.
Edited by Lurdlespor on 09/11/2012 09:25 GMT
This thread is locked.

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]